Eclipse Platform Release 3.7

## org.eclipse.osgi.storagemanager
Class ManagedOutputStream

    java.lang.Object
      java.io.OutputStream
          java.io.FilterOutputStream
              org.eclipse.osgi.storagemanager.ManagedOutputStream

All Implemented Interfaces:
  Closeable, Flushable

    public final class ManagedOutputStream

extends FilterOutputStream

Represents a managed output stream for target managed by a storage manager.

Since:
  3.2
See Also:
  `StorageManager.getOutputStream(String)`, `

  Clients may not extend this class.

  `

Field Summary

Fields inherited from class java.io.FilterOutputStream
`out`

Method Summary
`void` `abort()` Instructs this output stream to be closed and the contents discarded.
`void` `close()` Instructs this output stream to be closed and storage manager to be updated as appropriate.
`void` `write(byte[] bytes, int off, int len)`

Methods inherited from class java.io.FilterOutputStream
`flush, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### close

    public void close()
               throws IOException

  Instructs this output stream to be closed and storage manager to be updated as appropriate. If this managed output stream is part of a set returned by `StorageManager.getOutputStreamSet(String[])` then the storage manager will only be updated with the new content after all of the managed output streams in the set are closed successfully.

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `FilterOutputStream`
  Throws:
    `IOException`
  See Also:
    `FilterOutputStream.close()`

### abort

    public void abort()

  Instructs this output stream to be closed and the contents discarded. If this managed output stream is part of a set returned by `StorageManager.getOutputStreamSet(String[])` then the new content of all managed output streams in the set will be discarded.

### write

    public void write(byte[] bytes,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `FilterOutputStream`
  Throws:
    `IOException`

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.